Bug 113206 - GDM Requiring Double Login After a Successful Login/out
GDM Requiring Double Login After a Successful Login/out
Product: Fedora
Classification: Fedora
Component: gdm (Show other bugs)
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Depends On:
  Show dependency treegraph
Reported: 2004-01-09 13:17 EST by Eric Andresen
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2005-05-11 18:14:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eric Andresen 2004-01-09 13:17:33 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.4.1)

Description of problem:
On a set of systems configured to authenticate via pam_ldap, with NFS
mounted (not automounted) homedirectories, GDM presents the initial
login screen, which allows the user to log in the first time with no
fuss. After logging out of that session, and attempting to log back in
to the same or different user, GDM/X crashes, and then GDM's greeter
shows up again. This makes the user think their login was rejected,
but the following shows up in /var/log/messages:
messages.2:Jan  2 08:21:45 bosporos gdm[1502]: gdm_cleanup_children: 
child 1754 crashed of signal 11
messages.2:Jan  2 08:21:45 bosporos gdm[1502]: gdm_cleanup_children:
Slave crashed, killing its children

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. Log in via GDM
2. Log out of session
3. Attempt to log in via GDM again
4. Observe GDM/X crash
5. Log in via GDM again
6. Successful login

Actual Results:  GDM (or X) crashed during the second login attempt
(after a successful logout).

Expected Results:  Login should be successful for all valid logins.

Additional info:

After a logout, if you do a manual CTRL+ALT+BACKSPACE, forcing gdm to
reload the greeter, the login will be successful the first time. This
would lead me to believe it's a problem with gdmgreeter not cleaning
up properly after itself.
Comment 1 Patrick Dubois 2004-12-02 16:24:30 EST
I'm also noticing this bug in Fedora Core 3, only it appears
intermittently, not every second login.  

GDM version ''.
Comment 2 Patrick Dubois 2004-12-02 23:33:58 EST
Further commment;

My previous comment was in error. The failed logins seem to happen
after every 1-2 successfull logins.
Comment 3 Ray Strode [halfline] 2005-05-11 18:14:47 EDT
Fedora Core 1 is now maintained by the Fedora Legacy project for
security updates only. If this problem is a security issue, please
reopen and reassign to the Fedora Legacy product. If it is not a
security issue and hasn't been resolved in the current FC3 updates or
in the FC4 test release, reopen and change the version to match.

Note You need to log in before you can comment on or make changes to this bug.